Package fr.gouv.vitam.functional.administration.common.server

# Enum Class FunctionalAdminCollections

java.lang.Object
java.lang.Enum<FunctionalAdminCollections>
fr.gouv.vitam.functional.administration.common.server.FunctionalAdminCollections

All Implemented Interfaces:
  `Serializable`, `Comparable<FunctionalAdminCollections>`, `Constable`

public enum FunctionalAdminCollections extends Enum<FunctionalAdminCollections>
All collections in functional admin module

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ACCESS_CONTRACT`
  Access contract collection
  `ACCESSION_REGISTER_DETAIL`
  Accession Register detail Collection
  `ACCESSION_REGISTER_SUMMARY`
  Accession Register summary Collection
  `ACCESSION_REGISTER_SYMBOLIC`
  Accession Register Symbolic Collection
  `AGENCIES`
  Agency collection
  `ARCHIVE_UNIT_PROFILE`
  Archive Unit Profile collection
  `CONTEXT`
  Context collection
  `FORMATS`
  Formats Collection
  `GRIFFIN`
  `INGEST_CONTRACT`
  Ingest contract collection
  `MANAGEMENT_CONTRACT`
  Management contract collection
  `ONTOLOGY`
  Ontology collection
  `PRESERVATION_SCENARIO`
  `PROFILE`
  Profile collection
  `RULES`
  Rules Collection
  `SCHEMA`
  Schema collection
  `SECURITY_PROFILE`
  Security profile collection
  `VITAM_SEQUENCE`
  VITAM SEQUENCE collection

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static List<Class<?>>`
  `getClasses()`
  `<T extends org.bson.Document>
  com.mongodb.client.MongoCollection<T>`
  `getCollection()`
  `long`
  `getCount()`
  `ElasticsearchCollections`
  `getElasticsearchCollection()`
  `ElasticsearchAccessFunctionalAdmin`
  `getEsClient()`
  get ElasticSearch Client
  `static FunctionalAdminCollections`
  `getFromValue(String collection)`
  get collection from value.
  `String`
  `getName()`
  `VarNameAdapter`
  `getVarNameAdapater()`
  `<T extends VitamDocument<?>>
  VitamCollection<T>`
  `getVitamCollection()`
  `VitamDescriptionResolver`
  `getVitamDescriptionResolver()`
  `boolean`
  `isMultitenant()`
  `static FunctionalAdminCollections`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static FunctionalAdminCollections[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FORMATS

    public static final FunctionalAdminCollections FORMATS
    Formats Collection

  - ### RULES

    public static final FunctionalAdminCollections RULES
    Rules Collection

  - ### ACCESSION_REGISTER_SUMMARY

    public static final FunctionalAdminCollections ACCESSION_REGISTER_SUMMARY
    Accession Register summary Collection

  - ### ACCESSION_REGISTER_DETAIL

    public static final FunctionalAdminCollections ACCESSION_REGISTER_DETAIL
    Accession Register detail Collection

  - ### ACCESSION_REGISTER_SYMBOLIC

    public static final FunctionalAdminCollections ACCESSION_REGISTER_SYMBOLIC
    Accession Register Symbolic Collection

  - ### INGEST_CONTRACT

    public static final FunctionalAdminCollections INGEST_CONTRACT
    Ingest contract collection

  - ### ACCESS_CONTRACT

    public static final FunctionalAdminCollections ACCESS_CONTRACT
    Access contract collection

  - ### MANAGEMENT_CONTRACT

    public static final FunctionalAdminCollections MANAGEMENT_CONTRACT
    Management contract collection

  - ### VITAM_SEQUENCE

    public static final FunctionalAdminCollections VITAM_SEQUENCE
    VITAM SEQUENCE collection

  - ### PROFILE

    public static final FunctionalAdminCollections PROFILE
    Profile collection

  - ### ARCHIVE_UNIT_PROFILE

    public static final FunctionalAdminCollections ARCHIVE_UNIT_PROFILE
    Archive Unit Profile collection

  - ### AGENCIES

    public static final FunctionalAdminCollections AGENCIES
    Agency collection

  - ### CONTEXT

    public static final FunctionalAdminCollections CONTEXT
    Context collection

  - ### SECURITY_PROFILE

    public static final FunctionalAdminCollections SECURITY_PROFILE
    Security profile collection

  - ### GRIFFIN

    public static final FunctionalAdminCollections GRIFFIN

  - ### PRESERVATION_SCENARIO

    public static final FunctionalAdminCollections PRESERVATION_SCENARIO

  - ### ONTOLOGY

    public static final FunctionalAdminCollections ONTOLOGY
    Ontology collection

  - ### SCHEMA

    public static final FunctionalAdminCollections SCHEMA
    Schema collection

- ## Method Details

  - ### values

    public static FunctionalAdminCollections[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static FunctionalAdminCollections valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getClasses

    public static List<Class<?>> getClasses()

  - ### isMultitenant

    public boolean isMultitenant()
    Returns:
      True if this collection is multitenant

  - ### getName

    public String getName()
    Returns:
      the name of the collection

  - ### getCollection

    public <T extends org.bson.Document> com.mongodb.client.MongoCollection<T> getCollection()
    Returns:
      the associated MongoCollection

  - ### getVitamCollection

    public <T extends VitamDocument<?>> VitamCollection<T> getVitamCollection()
    Returns:
      the associated VitamCollection

  - ### getCount

    public long getCount()
    Returns:
      the count of associated MongoCollection

  - ### getVarNameAdapater

    public VarNameAdapter getVarNameAdapater()
    Returns:
      the associated VarNameAdapter

  - ### getEsClient

    public ElasticsearchAccessFunctionalAdmin getEsClient()
    get ElasticSearch Client
    Returns:
      client Es

  - ### getFromValue

    public static FunctionalAdminCollections getFromValue(String collection)
    get collection from value.
    Parameters:
      `collection` -
    Returns:
      the corresponding FunctionalAdminCollections

  - ### getVitamDescriptionResolver

    public VitamDescriptionResolver getVitamDescriptionResolver()

  - ### getElasticsearchCollection

    public ElasticsearchCollections getElasticsearchCollection()